> ## Documentation Index
> Fetch the complete documentation index at: https://cloud.laravel.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get cache metrics

> Get metrics for a specific cache.



## OpenAPI

````yaml https://cloud.laravel.com/api-docs/api.json get /caches/{cache}/metrics
openapi: 3.1.0
info:
  title: Laravel Cloud
  version: 0.0.1
servers:
  - url: https://cloud.laravel.com/api
security:
  - http: []
tags:
  - name: Applications
  - name: Environments
  - name: Domains
  - name: Commands
  - name: Deployments
  - name: Instances
  - name: Background Processes
  - name: Database Clusters
  - name: Databases
  - name: Database Snapshots
  - name: Database Restores
  - name: Object Storage Buckets
  - name: Bucket Keys
  - name: Caches
  - name: WebSocket Clusters
  - name: WebSocket Applications
  - name: Dedicated Clusters
  - name: Usage
  - name: Meta
  - name: Databases (Legacy)
paths:
  /caches/{cache}/metrics:
    get:
      tags:
        - Caches
      summary: Get cache metrics
      description: Get metrics for a specific cache.
      operationId: public.caches.metrics
      parameters:
        - name: cache
          in: path
          required: true
          description: The cache identifier
          schema:
            type: string
        - name: period
          in: query
          schema:
            $ref: '#/components/schemas/MetricPeriod'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      hits_and_misses:
                        type: object
                        properties:
                          labels:
                            type: array
                            items:
                              type: string
                          average:
                            type: array
                            items:
                              type: number
                          data:
                            type: array
                            items:
                              type: object
                              properties:
                                x:
                                  type: string
                                'y':
                                  type: array
                                  items:
                                    type: number
                              required:
                                - x
                                - 'y'
                        required:
                          - labels
                          - average
                          - data
                      throughput:
                        type: object
                        properties:
                          labels:
                            type: array
                            items:
                              type: string
                          average:
                            type: array
                            items:
                              type: number
                          data:
                            type: array
                            items:
                              type: object
                              properties:
                                x:
                                  type: string
                                'y':
                                  type: array
                                  items:
                                    type: number
                              required:
                                - x
                                - 'y'
                        required:
                          - labels
                          - average
                          - data
                      size:
                        type: object
                        properties:
                          data:
                            type: array
                            items:
                              type: object
                              properties:
                                x:
                                  type: string
                                'y':
                                  type: number
                              required:
                                - x
                                - 'y'
                          total:
                            type: number
                        required:
                          - data
                          - total
                      bandwidth_usage:
                        type: object
                        properties:
                          data:
                            type: array
                            items:
                              type: object
                              properties:
                                x:
                                  type: string
                                'y':
                                  type: number
                              required:
                                - x
                                - 'y'
                          total:
                            type: number
                        required:
                          - data
                          - total
                    required:
                      - hits_and_misses
                      - throughput
                      - size
                      - bandwidth_usage
                  meta:
                    type: object
                    properties:
                      period:
                        type: string
                      available_periods:
                        type: array
                        items:
                          type: string
                    required:
                      - period
                      - available_periods
                required:
                  - data
                  - meta
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    MetricPeriod:
      type: string
      enum:
        - 6h
        - 24h
        - 3d
        - 7d
        - 30d
      title: MetricPeriod
  responses:
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      description: The Bearer Token generated on the Cloud UI.
      scheme: bearer
      bearerFormat: bearer

````